package com.sd.business.entity.in.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 记录流水表
 * </p>
 *
 * @author 彭嘉俊
 * @since 2023-07-17
 */
@Getter
@Setter
@TableName("in_out_running_water")
public class InOutRunningWater extends BasePo {

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 采购单价
     */
    private BigDecimal purchasePrice;

}
